Loading...
Searching...
No Matches
Attributes

## Functions

PUBLIC MYFLT | csoundGetSr (CSOUND *)
| Returns the number of audio sample frames per second.
PUBLIC MYFLT | csoundGetKr (CSOUND *)
| Returns the number of control samples per second.
PUBLIC uint32_t | csoundGetKsmps (CSOUND *)
| Returns the number of audio sample frames per control sample.
PUBLIC uint32_t | csoundGetNchnls (CSOUND *)
| Returns the number of audio output channels.
PUBLIC uint32_t | csoundGetNchnlsInput (CSOUND *csound)
| Returns the number of audio input channels.
PUBLIC MYFLT | csoundGet0dBFS (CSOUND *)
| Returns the 0dBFS level of the spin/spout buffers.
PUBLIC MYFLT | csoundGetA4 (CSOUND *)
| Returns the A4 frequency reference.
PUBLIC int64_t | csoundGetCurrentTimeSamples (CSOUND *csound)
| Return the current performance time in samples.
PUBLIC int | csoundGetSizeOfMYFLT (void)
| Return the size of MYFLT in bytes.
PUBLIC void * | csoundGetHostData (CSOUND *)
| Returns host data.
PUBLIC void | csoundSetHostData (CSOUND *, void *hostData)
| Sets host data.
PUBLIC int | csoundSetOption (CSOUND *csound, const char *option)
| Set a single csound option (flag).
PUBLIC void | csoundSetParams (CSOUND *csound, CSOUND_PARAMS *p)
| Configure Csound with a given set of parameters defined in the CSOUND_PARAMS structure.
PUBLIC void | csoundGetParams (CSOUND *csound, CSOUND_PARAMS *p)
| Get the current set of parameters from a CSOUND instance in a CSOUND_PARAMS structure.
PUBLIC int | csoundGetDebug (CSOUND *)
| Returns whether Csound is set to print debug messages sent through the DebugMsg() internal API function.
PUBLIC void | csoundSetDebug (CSOUND *, int debug)
| Sets whether Csound prints debug messages from the DebugMsg() internal API function.
PUBLIC MYFLT | csoundSystemSr (CSOUND *csound, MYFLT val)
| If val > 0, sets the internal variable holding the system HW sr.

## Detailed Description

## Function Documentation

## csoundGet0dBFS()

PUBLIC MYFLT csoundGet0dBFS | ( | CSOUND * |  | ) |

Returns the 0dBFS level of the spin/spout buffers.

References PUBLIC.

## csoundGetA4()

PUBLIC MYFLT csoundGetA4 | ( | CSOUND * |  | ) |

Returns the A4 frequency reference.

References PUBLIC.

## csoundGetCurrentTimeSamples()

PUBLIC int64_t csoundGetCurrentTimeSamples | ( | CSOUND * | csound | ) |

Return the current performance time in samples.

References PUBLIC.

## csoundGetDebug()

PUBLIC int csoundGetDebug | ( | CSOUND * |  | ) |

Returns whether Csound is set to print debug messages sent through the DebugMsg() internal API function.

Anything different to 0 means true.

References PUBLIC.

## csoundGetHostData()

PUBLIC void * csoundGetHostData | ( | CSOUND * |  | ) |

Returns host data.

References PUBLIC.

## csoundGetKr()

PUBLIC MYFLT csoundGetKr | ( | CSOUND * |  | ) |

Returns the number of control samples per second.

References PUBLIC.

## csoundGetKsmps()

PUBLIC uint32_t csoundGetKsmps | ( | CSOUND * |  | ) |

Returns the number of audio sample frames per control sample.

References PUBLIC.

## csoundGetNchnls()

PUBLIC uint32_t csoundGetNchnls | ( | CSOUND * |  | ) |

Returns the number of audio output channels.

Set through the nchnls header variable in the csd file.

References PUBLIC.

## csoundGetNchnlsInput()

PUBLIC uint32_t csoundGetNchnlsInput | ( | CSOUND * | csound | ) |

Returns the number of audio input channels.

Set through the nchnls_i header variable in the csd file. If this variable is not set, the value is taken from nchnls.

References PUBLIC.

## csoundGetParams()

PUBLIC void csoundGetParams | ( | CSOUND * | csound,
|  | CSOUND_PARAMS * | p )

Get the current set of parameters from a CSOUND instance in a CSOUND_PARAMS structure.

See csoundSetParams().

References PUBLIC.

## csoundGetSizeOfMYFLT()

PUBLIC int csoundGetSizeOfMYFLT | ( | void |  | ) |

Return the size of MYFLT in bytes.

References PUBLIC.

## csoundGetSr()

PUBLIC MYFLT csoundGetSr | ( | CSOUND * |  | ) |

Returns the number of audio sample frames per second.

References PUBLIC.

## csoundSetDebug()

PUBLIC void csoundSetDebug | ( | CSOUND * | ,
|  | int | debug )

Sets whether Csound prints debug messages from the DebugMsg() internal API function.

Anything different to 0 means true.

References PUBLIC.

## csoundSetHostData()

PUBLIC void csoundSetHostData | ( | CSOUND * | ,
|  | void * | hostData )

Sets host data.

References PUBLIC.

## csoundSetOption()

PUBLIC int csoundSetOption | ( | CSOUND * | csound,
|  | const char * | option )

Set a single csound option (flag).

Returns CSOUND_SUCCESS on success. NB: blank spaces are not allowed

References PUBLIC.

## csoundSetParams()

PUBLIC void csoundSetParams | ( | CSOUND * | csound,
|  | CSOUND_PARAMS * | p )

Configure Csound with a given set of parameters defined in the CSOUND_PARAMS structure.

These parameters are the part of the OPARMS struct that are configurable through command line flags. The CSOUND_PARAMS structure can be obtained using csoundGetParams(). These options should only be changed before performance has started.

References PUBLIC.

## csoundSystemSr()

PUBLIC MYFLT csoundSystemSr | ( | CSOUND * | csound,
|  | MYFLT | val )

If val > 0, sets the internal variable holding the system HW sr.

Returns the stored value containing the system HW sr.

References PUBLIC.